Skip to main content
Get the Skill Profile for a Skill Cluster
curl --request GET \
  --url https://{tenant_name}.{region}.techwolf.ai/skill_clusters/{external_id}/skill_profile \
  --header 'Authorization: Bearer <token>'
{
  "external_id": "a3903505-eb84-42dc-a79f-5e7b1fe897b7",
  "skills": [
    {
      "skill": "Programming"
    },
    {
      "skill": "Business Intelligence"
    },
    {
      "skill": "Machine Learning"
    }
  ],
  "domain": "Machine Learning"
}

Documentation Index

Fetch the complete documentation index at: https://developers.techwolf.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

external_id
string<uuid>
required

The unique ID in your system, consisting of alphanumeric characters, hyphens and underscores.

Required string length: 1 - 100
Pattern: [a-zA-Z0-9_-]+
Example:

"a3903505-eb84-42dc-a79f-5e7b1fe897b7"

Query Parameters

response_format
enum<string>
default:list

The format in which the Skill Profile needs to be returned. More info about adding your Skill Clusters can be found in the tutorials.

Available options:
list
Example:

"list"

vocab_language
enum<string>
default:en_uk

The display language used for Skill names. Altering the vocabulary language does not change the Skill Profile; it solely changes the way it is displayed. If not specified, the default language (en_uk) will be used. The en language is an alias for en_uk. IETF BCP 47 language tags (e.g. fr-FR, zh-CN) are also accepted and mapped to their internal equivalents.

Vendor-specific availability: Only the following languages are available for the default TechWolf vocabulary: en, en_uk, en_us, de, fr, nl. The additional languages (es, fr_ca, it, ja, ko, pt_br, zh_cn, zh_tw, sv, fi, da, no) are only available when the request is scoped to the workday vendor (via external_vendor=workday) and the tenant's Workday vocabulary includes them. Use GET /taxonomy/skills/languages to discover the exact set of languages available for a given vendor in your tenant.

Available options:
en,
en_uk,
en_us,
de,
fr,
nl,
es,
fr_ca,
it,
ja,
ko,
pt_br,
zh_cn,
zh_tw,
sv,
fi,
da,
no

Response

OK

The Skills of the Skill Cluster. This is what is returned when Skill Clusters are managed by TechWolf.

external_id
string<uuid>

The unique ID in your system, consisting of alphanumeric characters, hyphens and underscores.

Required string length: 1 - 100
Pattern: [a-zA-Z0-9_-]+
Example:

"a3903505-eb84-42dc-a79f-5e7b1fe897b7"

skills
object[]

The Skills contained in this Skill Cluster.

Example:
[
{ "skill": "Programming" },
{ "skill": "Business Intelligence" },
{ "skill": "Machine Learning" }
]
domain
string

The Domain this Skill Cluster belongs to.

Example:

"Machine Learning"